List Submissions (Large Batch)

Used to fetch large batches of data beyond the 10,000 record limit. 2500 records at a time. Returns a token that can be sent via a GET request to /api/v3/submissions/batch

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int32

Form Template ID

The response payload would contain details about submissions corresponding to the form template given the existing form template ID.

Important: The Zenput server would require a value for either form_template_id or activity_idonly one— to be able to provide a response.

int32

Activity ID

The response payload would contain details about the submissions corresponding to the activity given the existing activity ID.

Important: The Zenput server would require a value for either form_template_id or activity_idonly one— to be able to provide a response.

date

Time frame starting date

The data array in the response payload would contain objects —each corresponding to a specific submission— that reached the Zenput server between the date specified in date_start and the date specified in date_end. Must look like '2024-01-25'

date

Time frame ending date

The data array in the response payload would contain objects —each corresponding to a specific submission— that reached the Zenput server between the date specified in date_start and the date specified in date_end.

Note: If the request body were to contain a value for date_start and not contain one for date_end, then the value of date_end would be today's date. Must look like '2024-01-25'

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json